Bug 459687 - nautilus ignores umask when creating new files
nautilus ignores umask when creating new files
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nautilus (Show other bugs)
5.2
All Linux
high Severity high
: rc
: ---
Assigned To: Tomáš Bžatek
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-21 04:28 EDT by ritz
Modified: 2015-03-03 17:33 EST (History)
6 users (show)

See Also:
Fixed In Version: nautilus-2.16.2-9.el5
Doc Type: Bug Fix
Doc Text:
Cause: Nautilus did not respect environment umask setting Consequence: Newly created files, internally copied from templates, inherited permissions from the original file. Fix: A flag has been added to respect umask setting Result: Newly created files now have proper permissions according to desired umask.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-13 16:14:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ritz 2008-08-21 04:28:11 EDT
om  Dave Botsch (botsch@cnf.cornell.edu )  2008-03-10 15:45:25 EDT   (-) [reply]     Private

Description of problem:
if one sets a umask in /etc/profile, nautilus will respect this umask when
creating a new folder. However, when creating a new file, nautilus ignores the
umask and always creates with perms 0600


Version-Release number of selected component (if applicable):
nautilus-2.8.1-4

How reproducible:
100% of time


Steps to Reproduce:
1. Set a umask in /etc/profile (eg 000)
2. In nautilus, right click and select Create - Empty File

  
Actual results:
New file has mode 0600

Expected results:
New file has some other mode depending on the umask setting

Additional info:
upstream bug

http://bugzilla.gnome.org/show_bug.cgi?id=327249

Revision 12691 - (view) (annotate) - [select for diffs]
2007-01-11  Alexander Larsson  <alexl@redhat.com>

       * libnautilus-private/nautilus-file-operations.c:
       (nautilus_file_operations_new_file_from_template):
Use default permissions when copying template to use
umask correctly. (#327249)
Patch from Josselin Mouette

http://svn.gnome.org/viewvc/nautilus/trunk/libnautilus-private/nautilus-file-operations.c?r1=12599&r2=12691


RHEL4 bug - https://bugzilla.redhat.com/show_bug.cgi?id=436856
Comment 4 RHEL Product and Program Management 2009-03-26 13:24:23 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 11 Tomáš Bžatek 2011-03-29 11:15:12 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Nautilus did not respect environment umask setting

Consequence: Newly created files, internally copied from templates, inherited permissions from the original file.

Fix: A flag has been added to respect umask setting

Result: Newly created files now have proper permissions according to desired umask.
Comment 14 errata-xmlrpc 2011-04-13 16:14:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0440.html

Note You need to log in before you can comment on or make changes to this bug.